SECURITYFS_REMOVE(9)

NAME
securityfs_remove - removes a file or directory from the securityfs filesystem

SYNOPSIS

void securityfs_remove(struct dentry * dentry);

ARGUMENTS

dentry
    a pointer to a the dentry of the file or directory to be removed.

DESCRIPTION

This function removes a file or directory in securityfs that was previously created with a call to another securityfs function (like securityfs_create_file or variants thereof.)

This function is required to be called in order for the file to be removed. No automatic cleanup of files will happen when a module is removed; you are responsible here.

COPYRIGHT